package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Productos generated by hbm2java
 */
@Entity
@Table(name="productos"
    ,catalog="sistema_ventas"
)
public class Productos  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idproduct;
     private Categorias categorias;
     private Modelos modelos;
     private String nombre;
     private String descripcion;
     private BigDecimal precio;
     private int stock;
     private Set<Movimientos> movimientoses = new HashSet<Movimientos>(0);
     private Set<FacturaDetalle> facturaDetalles = new HashSet<FacturaDetalle>(0);

    public Productos() {
    }

	
    public Productos(Categorias categorias, Modelos modelos, String nombre, String descripcion, BigDecimal precio, int stock) {
        this.categorias = categorias;
        this.modelos = modelos;
        this.nombre = nombre;
        this.descripcion = descripcion;
        this.precio = precio;
        this.stock = stock;
    }
    public Productos(Categorias categorias, Modelos modelos, String nombre, String descripcion, BigDecimal precio, int stock, Set<Movimientos> movimientoses, Set<FacturaDetalle> facturaDetalles) {
       this.categorias = categorias;
       this.modelos = modelos;
       this.nombre = nombre;
       this.descripcion = descripcion;
       this.precio = precio;
       this.stock = stock;
       this.movimientoses = movimientoses;
       this.facturaDetalles = facturaDetalles;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idproduct", unique=true, nullable=false)
    public Integer getIdproduct() {
        return this.idproduct;
    }
    
    public void setIdproduct(Integer idproduct) {
        this.idproduct = idproduct;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="categoria", nullable=false)
    public Categorias getCategorias() {
        return this.categorias;
    }
    
    public void setCategorias(Categorias categorias) {
        this.categorias = categorias;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="modelo", nullable=false)
    public Modelos getModelos() {
        return this.modelos;
    }
    
    public void setModelos(Modelos modelos) {
        this.modelos = modelos;
    }

    
    @Column(name="nombre", nullable=false, length=65535)
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    
    @Column(name="descripcion", nullable=false, length=65535)
    public String getDescripcion() {
        return this.descripcion;
    }
    
    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    
    @Column(name="precio", nullable=false, precision=7)
    public BigDecimal getPrecio() {
        return this.precio;
    }
    
    public void setPrecio(BigDecimal precio) {
        this.precio = precio;
    }

    
    @Column(name="stock", nullable=false)
    public int getStock() {
        return this.stock;
    }
    
    public void setStock(int stock) {
        this.stock = stock;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="productos")
    public Set<Movimientos> getMovimientoses() {
        return this.movimientoses;
    }
    
    public void setMovimientoses(Set<Movimientos> movimientoses) {
        this.movimientoses = movimientoses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="productos")
    public Set<FacturaDetalle> getFacturaDetalles() {
        return this.facturaDetalles;
    }
    
    public void setFacturaDetalles(Set<FacturaDetalle> facturaDetalles) {
        this.facturaDetalles = facturaDetalles;
    }




}


